<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__timeout__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_timeout_param_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__timeout__param__t_1ab53a0e261212a59eeef2aabb391a4d31" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga9401245e7b20db19f6b735d6295a6113">cy_en_ble_to_reason_code_t</ref></type>
        <definition>cy_en_ble_to_reason_code_t cy_stc_ble_timeout_param_t::reasonCode</definition>
        <argsstring />
        <name>reasonCode</name>
        <briefdescription>
<para>Reason for Timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="788" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="788" />
      </memberdef>
      <memberdef id="structcy__stc__ble__timeout__param__t_1a7a729c961ed34a274aee6fce1d33c123" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_timeout_param_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="794" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="794" />
      </memberdef>
      <memberdef id="structcy__stc__ble__timeout__param__t_1aefadd85758b835684dcd83e19c9dd8b7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_timeout_param_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="797" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="797" />
      </memberdef>
      <memberdef id="structcy__stc__ble__timeout__param__t_1a40e3f204efde80584cc00104e71c8801" kind="variable" mutable="no" prot="public" static="no">
        <type>union cy_stc_ble_timeout_param_t::@0</type>
        <definition>union cy_stc_ble_timeout_param_t::@0 cy_stc_ble_timeout_param_t::CY_BLE_HANDLE</definition>
        <argsstring />
        <name>CY_BLE_HANDLE</name>
        <briefdescription>
<para>handle </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="799" />
      </memberdef>
      <memberdef id="structcy__stc__ble__timeout__param__t_1a1207541579cf8c23dd3db077f036d10b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_timeout_param_t::timerHandle</definition>
        <argsstring />
        <name>timerHandle</name>
        <briefdescription>
<para>Handle of the started timer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="802" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="802" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Timeout event parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1252">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1251">
        <label>cy_stc_ble_timeout_param_t</label>
        <link refid="structcy__stc__ble__timeout__param__t" />
        <childnode refid="1252" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="804" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="785" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="786" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__timeout__param__t_1aefadd85758b835684dcd83e19c9dd8b7" virt="non-virtual"><scope>cy_stc_ble_timeout_param_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__timeout__param__t_1a7a729c961ed34a274aee6fce1d33c123" virt="non-virtual"><scope>cy_stc_ble_timeout_param_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__timeout__param__t_1a40e3f204efde80584cc00104e71c8801" virt="non-virtual"><scope>cy_stc_ble_timeout_param_t</scope><name>CY_BLE_HANDLE</name></member>
      <member prot="public" refid="structcy__stc__ble__timeout__param__t_1ab53a0e261212a59eeef2aabb391a4d31" virt="non-virtual"><scope>cy_stc_ble_timeout_param_t</scope><name>reasonCode</name></member>
      <member prot="public" refid="structcy__stc__ble__timeout__param__t_1a1207541579cf8c23dd3db077f036d10b" virt="non-virtual"><scope>cy_stc_ble_timeout_param_t</scope><name>timerHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>